RepeatableArchive (Apache Tomcat 9.0.83 API Documentation)
Description: declaration: package: org.apache.tomcat.buildutil, class: RepeatableArchive

Package org.apache.tomcat.buildutil

# Class RepeatableArchive

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tomcat.buildutil.RepeatableArchive

All Implemented Interfaces:
  `Cloneable`

public class RepeatableArchive extends org.apache.tools.ant.Task
Ant task to assist with repeatable builds.

While originally written to address an issue with Javadoc output, this task takes a generic approach that could be used with any archive. The task takes a set of zip (or jar, war etc) files as its input and sets the last modified time of every file in the archive to be the same as the last modified time of the archive.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepeatableArchive()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFileset(org.apache.tools.ant.types.FileSet fs)`
  Sets the files to be processed
  `void`
  `execute()`
  `void`
  `setDatetime(String datetime)`
  `void`
  `setPattern(String pattern)`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepeatableArchive

    public RepeatableArchive()

- ## Method Details

  - ### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet fs)
    Sets the files to be processed
    Parameters:
      `fs` - The fileset to be processed.

  - ### setDatetime

    public void setDatetime(String datetime)

  - ### setPattern

    public void setPattern(String pattern)

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Overrides:
      `execute` in class `org.apache.tools.ant.Task`
    Throws:
      `org.apache.tools.ant.BuildException`